<ion-header>
    <ion-navbar no-border-bottom>
        <button ion-button menuToggle>
            <ion-icon name="menu"></ion-icon>
          </button>
             <ion-title>Welcome {{UserName}}</ion-title>
     </ion-navbar> 
   
  </ion-header>
  
  <ion-content>


    <div> 
      <ion-list>
          <ion-item>   

              <button  [disabled]="timeIStartFromResponse"  style="margin-right: 30px !important;" ion-button (click)="StartFrom()" > Start From</button>  

              <button  [disabled]="timeININsertResponse" style="margin-right: 32px !important;" ion-button (click)="FindLocation()" > Time In</button>  

              <button [disabled]="timeOUTupdateResponse" style="margin-right: 35px !important;" ion-button (click)="TimeOut()" > Time Out</button>  
      
              <br/>  <br/> 
              <div class="googlemap"  #map id="map"></div>   
              <br/> 

          </ion-item>
          
          
          <ion-card>
                <ion-card-content>                 
                  <p> <b> Remarks </b>: - {{timeINtitle}} 
                    <b>Address </b>: -  {{finalAddress}}  
                  </p>

               </ion-card-content>
             </ion-card> 
 
      </ion-list>
  
      
    </div>

   

  </ion-content>